
//
//  Bench.cpp - CPUID 
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 2 Jun 98 - James Leiterman
//
//  Last Modification
//
//      23 Jul 2001 - JCL - Brought up to date.
//
//  stab=4
//



#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries

#include <iostream.h>

    //  Book Development Library Modules

#include "CpuAsm.h"


 
int main( int argc, char *argv[] )
{
    CpuInfo cinfo;
    char szBuf[ CPU_SZBUF_MAX];

    CpuDetect( &cinfo );
    cout << CpuInfoStr( szBuf, &cinfo ) << endl;

    cout << "Fin!\n\n" << flush;

    return 0;
}

